<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>wcreaspot - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="wcreaspot.html">wcreaspot</a><ul class='members'></ul></li><li><a href="CreaspotService.html">CreaspotService</a></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">wcreaspot</h1>
    

    




<section>

<header>
    
        <h2>
        
            wcreaspot
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="wcreaspot"><span class="type-signature"></span>factory wcreaspot<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Command line connection to the creaspot web service</p>
<pre class="prettyprint source"><code>    Usage: ./wcreaspot.sh $command
    Commands:
      upload $file: Uploads a file on the creaspot web service.
      predict:      Starts the prediction on the last uploaded file.
      status:       Gets the web service status.
      download:     Downloads the prediction, avalaible when the status is 'predicted'.
      clean:        Cleans files and processes on the server.
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Members</h3>

        
            













        
    

    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2024-08-15 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>